/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["epages.cartridges.de_epages.design.widget.Toolalignment"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["epages.cartridges.de_epages.design.widget.Toolalignment"] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.
*/
dojo.provide("epages.cartridges.de_epages.design.widget.Toolalignment");

dojo.require("epages.widget.LocalizedWidget");
dojo.require("epages.io.translation");
dojo.require("dijit._Container");
dojo.require("epages.widget.FormElement");



dojo.declare(
	"epages.cartridges.de_epages.design.widget.Toolalignment",
	[epages.widget.LocalizedWidget,dijit._Container],
	{
		/**
		 * public properties
		 */
		alignment						: '',
		alignType						: '',
		objectId						: '',

		/**
		 * widget properties
		 */
		declaredClass		: 'epages.design.Toolalignment',
		templateString:"<tr>\n  <td class=\"InputLabelling NoWrap\">{Align}</td>\n  <td>\n    <select dojoAttachPoint=\"selectNode\"\n            name=\"${objectId}:${alignType}\"\n            id=\"${alignType}\"\n            class=\"SelectAlign\" >\n      <option value=\"left\"   >{AlignLeft}</option>\n      <option value=\"center\" >{AlignCenter}</option>\n      <option value=\"right\"  >{AlignRight}</option>\n      <option value=\"custom\">{AlignCustom}</option>\n    </select>\n    <input type=\"hidden\" name=\"${objectId}:${alignType}Helper\" id=\"${alignType}Helper\"/>\n  </td>\n</tr>\n",
		translationName : dojo.moduleUrl('epages.cartridges.de_epages.design.widget','templates/translation'),

		// override
		postCreate	: function() {

      // summary: Set font select node value
			this.inherited("postCreate", arguments);
			this.selectWidget = new epages.widget.FormElement({}, this.selectNode);

			// Added "custom" alignment option for *horizontal* navbars (EPG-26482).
			if (this.alignType !== 'HeaderAlign' && this.alignType !== 'FooterAlign' && this.alignType !== 'RoofAlign' && this.alignType !== 'TopAlign' && this.alignType !== 'BottomAlign') {
				if (dojo.query('option[value="custom"]', this.selectWidget.domNode).length) {
					dojo.destroy(dojo.query('option[value="custom"]', this.selectWidget.domNode)[0]);
				}
			}

			this.selectWidget.elementNode.value = this.alignment;
			this.selectWidget.elementNode.startupSelected = this.selectWidget.elementNode.selectedIndex;
			this.selectWidget.elementNode.startupIndex = this.selectWidget.elementNode.selectedIndex;
			this.selectWidget.elementNode.startupValue = this.selectWidget.elementNode.value;
			this.startUpChangeInterval = setInterval(dojo.hitch(this, function() {
				if(this.selectWidget.domNode.className.match("Changed")) {
					dojo.removeClass(this.selectWidget.domNode, "Changed");
					clearInterval(this.startUpChangeInterval);
				}
			}), 500);
		}
	});


}
